# Customer Parameters API

**API for listing Customer Parameter details of a specific Biller, by using the Biller ID.**

| Endpoint                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /agent/cou-master/masters/customerParam?billerId=BSNL00000NATHL**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type    | Description       |
| ------------------------------------------ | --------------------- | --------- | ------------ | ----------------- |
| **\[ROOT]** (No parent property / element) | billerId              | C         | Alphanumeric | Fixed Length – 14 |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

<table data-full-width="true"><thead><tr><th width="147">Parent Property/Element</th><th width="179">Property/Element Name</th><th width="121">Mandatory</th><th width="126">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>customParamResp</td><td>M</td><td>List</td><td>List of customer params</td></tr><tr><td>customParamResp</td><td>customParamName</td><td>M</td><td>UUID</td><td>Unique ID associated with a specific Amount Breakup Set</td></tr><tr><td></td><td>dataType</td><td>M</td><td>String</td><td>Lists all combinations of Amount Breakup Options configured by the Biller</td></tr><tr><td></td><td>optional</td><td>M</td><td>Boolean</td><td></td></tr><tr><td></td><td>minLength</td><td>M</td><td>Numeric</td><td></td></tr><tr><td></td><td>maxLength</td><td>M</td><td>Numeric</td><td></td></tr><tr><td></td><td>regex</td><td>M</td><td>Alphanumeric</td><td></td></tr><tr><td>generalResp</td><td>visibility</td><td>M</td><td>Boolean</td><td></td></tr><tr><td></td><td>statusCode</td><td>M</td><td>Numeric</td><td>200- SUCCESS Other than 200-Failure</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>It is either “Success” or failure</td></tr><tr><td></td><td>message</td><td>M</td><td>String</td><td>Contains the reason message for failure / success</td></tr></tbody></table>

**Json Formatted Response Example**

```json
    {
    "generalResp": { "statusCode": "200",
    "status": "success",
    "message": "Customer param retrieved successfully", 
    "remarks": ""
    },
    "customParamResp": [
    {
    "customParamName": "Mobile Number", 
    "dataType": "NUMERIC",
    "optional": false, 
    "minLength": 10,
    "maxLength": 10,
    "regex": "^[6-9]{1}[0-9]{9}$",
    "visibility": true
    },
    {
    "customParamName": "Circle", 
    "dataType": "ALPHANUMERIC",
    "optional": false, 
    "minLength": 1,
    "maxLength": 50, 
    "regex": null, 
    "visibility": true
    },
    {
    "customParamName": "Id", 
    "dataType": "ALPHANUMERIC",
    "optional": false, 
    "minLength": 1,
    "maxLength": 50, 
    "regex": null, 
    "visibility": false
    }
    ]
    }
```
